#pragma once

class oInput
{
protected:
	oComPtr<IDirectInput8>::Type dinput;
	oComPtr<IDirectInputDevice8>::Type keyboard;
	uchar keyboardData[256];

public:
	oInput() throw();
	~oInput() throw();
	
	void Create(const HINSTANCE& instance, const HWND& window);

	void GetImmediateKeyboardData() throw();
	bool IsKeyDown(uchar key) const throw();
};