#pragma once

void oCreateCubeTriangleListVertices(void* const& buffer, const ulong& stride) throw();
void oCreateCubeTriangleListNormals(void* const& buffer, const ulong& stride) throw();
void oCreateCubeTriangleListTangents(void* const& buffer, const ulong& stride) throw();
void oCreateCubeTriangleListTexcoords(void* const& buffer, const ulong& stride) throw();
void oCreateCubeTriangleListNormalMapCoords(void* const& buffer, const ulong& stride) throw();

void oCreateTorusVertices(void* const& buffer, const ulong& stride, const oReal& outerRadius, const oReal& innerRadius, const ulong outerSegments, const ulong& innerSegments) throw();
void oCreateTorusNormals(void* const& buffer, const ulong& stride, const ulong outerSegments, const ulong& innerSegments) throw();
void oCreateTorusTangents(void* const& buffer, const ulong& stride, const ulong outerSegments, const ulong& innerSegments) throw();
void oCreateTorusTexcoords(void* const& buffer, const ulong& stride, const ulong outerSegments, const ulong& innerSegments) throw();
void oCreateTorusIndices(ushort* const& buffer, const ushort& offset, const ulong outerSegments, const ulong& innerSegments) throw();

void oCreateTorusKnotVertices(void* const& buffer, const ulong& stride, const oReal& outerRadius, const oReal& innerRadius, const oReal& knotRadius, const oReal& p, const oReal& q, const ulong outerSegments, const ulong& innerSegments) throw();
void oCreateTorusKnotNormals(void* const& buffer, const ulong& stride, const oReal& p, const oReal& q, const ulong outerSegments, const ulong& innerSegments) throw();
void oCreateTorusKnotTangents(void* const& buffer, const ulong& stride, const oReal& p, const oReal& q, const ulong outerSegments, const ulong& innerSegments) throw();
